"""本库的一些信息"""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../notebooks/00_help (library information).ipynb.

# %% auto 0
__all__ = ['lib_init_path', 'lib_directory_path', 'lib_repo_path', 'runs_path', 'runs_figs_path', 'data_path', 'font']

# %% ../notebooks/00_help (library information).ipynb 4
from pathlib import Path
import inspect
import thu_big_data_ml as this_library
lib_init_path = Path(inspect.getfile(this_library))
lib_directory_path = lib_init_path.parent
lib_repo_path = lib_directory_path.parent
runs_path = lib_repo_path/'runs'
runs_path.mkdir(exist_ok=True, parents=True)
runs_figs_path = runs_path/'figs'
runs_figs_path.mkdir(exist_ok=True, parents=True)
data_path = lib_repo_path/'data'
data_path.mkdir(exist_ok=True, parents=True)

# %% ../notebooks/00_help (library information).ipynb 5
# matplotlib
import matplotlib.pyplot as plt
plt.style.use('default')
# 设置matplotlib支持中文显示
# 参考网上资料，说要设为 SimHei
# plt.rcParams['font.sans-serif'] = ['SimHei']  # 指定默认字体  
plt.rcParams['axes.unicode_minus'] = False  # 解决保存图像是负号'-'显示为方块的问题
# 但是SimHei这个linux上不存在，好像是微软的字体，不开源。
# 参考另一篇博客解决这个问题 https://blog.csdn.net/MAO_TOU/article/details/93998905
from matplotlib import font_manager
font = font_manager.FontProperties(fname="/usr/share/fonts/opentype/noto/NotoSansCJK-Regular.ttc")
plt.rcParams['font.sans-serif'] = [font.get_name()]
# proxy
import os
os.environ['http_proxy'] = 'http://127.0.0.1:7890'
os.environ['https_proxy'] = 'http://127.0.0.1:7890'
